Please ensure Javascript is enabled for purposes of website accessibility
Powered by Zoomin Software. For more details please contactZoomin

Data validation

Upload or select a class library

  • Last UpdatedJul 01, 2026
  • 2 minute read

A class library is the collection of rules, Information Standards definitions like CFIHOS, that determine how data is validated.

Upload using REST

Endpoint: POST /api/account/{accountId}/dataValidation/{instanceId}/v1/classLibrary

Content-Type: multipart/form-data

Parameter

Type

Required

Default

Description

informationStandardsFile

File

Yes

--

The Information Standards definition file. Supports Excel (.xlsx) and compressed archives.

overwriteExisting

bool

No

flase

When true, overwrites existing library with same contentIdentifier.

Response: 201 Created with ClassLibrary entity.

curl -X POST \

"/api/account/{accountId}/dataValidation/{instanceId}/v1/classLibrary" \

-H "Authorization: Bearer {token}" \

-F "informationStandardsFile=@CFIHOS-v1.5.xlsx" \

-F "overwriteExisting=false"

Browse existing libraries

{

dataValidation {

classLibrary {

list {

handle

contentIdentifier

contentName

contentVersion

contentTimestamp

originalFileName

fileSizeBytes

numberOfFileMappings

numberOfSessions

retentionPeriodInMinutes

retainUntil

createdAt

etag

grantedAccess

}

}

}

}

Count av available libraries

{ dataValidation { classLibrary { count } } }

ClassLibrary Entity Structure

Parameter

Type

Description

handle

long

Unique identifier

contentIdentifier

string

Standard identifier from the uploaded file

contentName

string

Name of the information standard

contentDescription

string?

Description

contentVersion

string?

Version string

contentTimestampe

DateTime?

Metadata timestamp from the standard

originalFileName

string

Name of the uploaded file

fileSizeBytes

long

File size in bytes

retentionPeriodInMinutes

int?

Retention period (default: 7 days)

retainUntil

DateTime?

Calculated retention expiry

numberOfFileMappings

long?

Count of file mappings

numberOfSessions

long?

Sessions using this library

createdAt

DateTime

Upload timestamp

lastUpdatedAt

DateTime?

Last update timestamp

etag

string

Optimistic concurrency token

grantedAccess

string[]

Effective permissions

Child entities: fileMappings, classBreakdowns, sessions, createdByUser, lastUpdatedByUser,

File mappings

File mappings define how columns in your data files map to the class library's vocabulary. After uploading a

class library, inspect the available mappings:

{

dataValidation {

classLibrary {

list(filters : {handle : {eq : 100}}) {

fileMappings { handle name description }

}

}

}

}

List Class Libraries

The following lists the available class library.

  • List Class Libraries (GraphQL)

    • POST {{baseURL}}/api/account/{{accountId}}/data-validation/{{instanceId}}/v1/graphql

    • Operation: query GetClassLibrary

      query GetClassLibrary {
      dataValidation {
      classLibrary {
      list(orderBy: { lastUpdatedAt: "DESC" }, pagination: { take: 0 }) {
      handle
      contentIdentifier
      contentName
      contentVersion
      createdAt
      lastUpdatedAt
      retentionPeriodInMinutes
      originalFileName
      etag
      }
      }
      }
      }

Upload Class Libraries

The following uploads a class library.

  • Upload Class Library (REST file upload)

    • POST {{baseURL}}/api/account/{{accountId}}/data-validation/{{instanceId}}/v1/classLibrary

    • Content-Type: multipart/form-data

    • Form fields: informationStandardsFile (file), overwriteExisting (true/false)

Notes

  • User can upload or refer to class libraries

    • Call the endpoint to list the available class libraries

  • Upload the class library xml file to the cloud

  • Use the 'handle' as the primary key

Here are programmatic steps:

  • POST {{baseURL}}/api/account/{{accountId}}/data-validation/{{instanceId}}/v1/classLibrary

  • Content-Type: multipart/form-data

  • Form fields: informationStandardsFile (file), overwriteExisting (true/false)

Shown here is a reference example upload using a typical client (Postman).

Upload class library

In This Topic